libdap::Int64 Class Reference

Holds a64-bit signed integer. More...

`#include <Int64.h>`

Inheritance diagram for libdap::Int64:

## Public Member Functions

void | compute_checksum (Crc32 &checksum) override
bool | d4_ops (BaseType *b, int op) override
void | deserialize (D4StreamUnMarshaller &um, DMR &dmr) override
void | dump (ostream &strm) const override
| dumps information about this object
| Int64 (const Int64 &copy_from)
| Int64 (const string &n)
| Int64 (const string &n, const string &d)
bool | is_dap4_projected (std::vector< string > &inventory) override
Int64 & | operator= (const Int64 &rhs)
bool | ops (BaseType *b, int op) override
void | print_val (ostream &out, string space="", bool print_decl_p=true) override
BaseType * | ptr_duplicate () override
void | serialize (D4StreamMarshaller &m, DMR &dmr, bool filter=false) override
| Serialize an Int8.
virtual bool | set_value (dods_int64 i)
std::vector< BaseType * > * | transform_to_dap2 (AttrTable *parent_attr_table) override
| DAP4 to DAP2 transform.
virtual dods_int64 | value () const
unsigned int | width (bool=false) const override
int64_t | width_ll (bool=false) const override

## Protected Attributes

dods_int64 | d_buf

## Detailed Description

Holds a64-bit signed integer.

See also
  BaseType

Definition at line 48 of file Int64.h.

## Constructor & Destructor Documentation

## Int64() [1/3]

libdap::Int64::Int64 | ( | const string & | n | ) |

The Int64 constructor requires only the name of the variable to be created. The name may be omitted, which will create a nameless variable. This may be adequate for some applications.

Note
  This type is available in DAP4 only. See http://docs.opendap.org/index.php/DAP4:_Specification_Volume_1#Atomic_Types

Parameters

  n | A string containing the name of the variable to be created.

Definition at line 88 of file Int64.cc.

## Int64() [2/3]

libdap::Int64::Int64 | ( | const string & | n,
|  | const string & | d )

The Int64 server-side constructor accepts the name of the variable and the dataset name from which this instance is created.

Note
  This type is available in DAP4 only. See http://docs.opendap.org/index.php/DAP4:_Specification_Volume_1#Atomic_Types

Parameters

  n | A string containing the name of the variable to be created.
  d | A string containing the name of the dataset from which this variable is created

Definition at line 100 of file Int64.cc.

## Int64() [3/3]

libdap::Int64::Int64 | ( | const Int64 & | copy_from | ) |

Definition at line 102 of file Int64.cc.

## ~Int64()

libdap::Int64::~Int64 | ( |  | ) |

virtual

Definition at line 106 of file Int64.cc.

## Member Function Documentation

## compute_checksum()

void libdap::Int64::compute_checksum | ( | Crc32 & | checksum | ) |

override

Definition at line 116 of file Int64.cc.

## d4_ops()

bool libdap::Int64::d4_ops | ( | BaseType * | b,
|  | int | op )

override

See also
  BaseType::d4_ops(BaseType *, int)

Definition at line 178 of file Int64.cc.

## deserialize()

void libdap::Int64::deserialize | ( | D4StreamUnMarshaller & | um,
|  | DMR & | dmr )

override

Definition at line 133 of file Int64.cc.

## dump()

void libdap::Int64::dump | ( | ostream & | strm | ) | const

override

dumps information about this object

Displays the pointer value of this instance and information about this instance.

Parameters

  strm | C++ i/o stream to dump the information to

Returns
  void

Definition at line 252 of file Int64.cc.

## is_dap4_projected()

bool libdap::Int64::is_dap4_projected | ( | std::vector< string > & | inventory | ) |

override

When send_p() is true a description of the instance is added to the inventory and true is returned.

Parameters

  inventory | is a value-result parameter

Returns
  True when send_p() is true, false otherwise

Definition at line 234 of file Int64.cc.

## operator=()

Int64 & libdap::Int64::operator= | ( | const Int64 & | rhs | ) |

Definition at line 108 of file Int64.cc.

## ops()

bool libdap::Int64::ops | ( | BaseType * | b,
|  | int | op )

override

Definition at line 163 of file Int64.cc.

## print_val()

void libdap::Int64::print_val | ( | ostream & | out,
|  | string | space = "",
|  | bool | print_decl_p = true )

override

Definition at line 155 of file Int64.cc.

## ptr_duplicate()

BaseType * libdap::Int64::ptr_duplicate | ( |  | ) |

override

Definition at line 104 of file Int64.cc.

## serialize()

void libdap::Int64::serialize | ( | D4StreamMarshaller & | m,
|  | DMR & | dmr,
|  | bool | filter = false )

override

Serialize an Int8.

Parameters

  m |
  dmr | Unused
  eval | Unused
  filter | Unused

Exceptions

  Error | is thrown if the value needs to be read and that operation fails.

Definition at line 126 of file Int64.cc.

## set_value()

bool libdap::Int64::set_value | ( | dods_int64 | i | ) |

virtual

Definition at line 137 of file Int64.cc.

## transform_to_dap2()

vector< BaseType * > * libdap::Int64::transform_to_dap2 | ( | AttrTable * | parent_attr_table | ) |

override

DAP4 to DAP2 transform.

Return a DAP2 'copy' of the variable.

Returns
  A pointer to the transformed variable

Definition at line 214 of file Int64.cc.

## value()

dods_int64 libdap::Int64::value | ( |  | ) | const

virtual

Definition at line 135 of file Int64.cc.

## width()

unsigned int libdap::Int64::width | ( | bool | = false | ) | const

inline override

Definition at line 74 of file Int64.h.

## width_ll()

int64_t libdap::Int64::width_ll | ( | bool | = false | ) | const

inline override

Definition at line 76 of file Int64.h.

## Member Data Documentation

## d_buf

dods_int64 libdap::Int64::d_buf

protected

Definition at line 60 of file Int64.h.

The documentation for this class was generated from the following files:

- Int64.h
- Int64.cc